package com.ramos.munoz.tesis;

import java.util.ArrayList;

public class HistorialDetalle {

    private ArrayList<ServicioAdicional> servicios;
    private int montoPagado;
    private String fechaEntrada;
    private String fechaSalida;
    private String patente;
    private String observacion;
    private int montoAPagar;

    public HistorialDetalle(ArrayList<ServicioAdicional> servicios, int montoPagado, String fechaEntrada, String fechaSalida, String patente,
	    String observacion, int montoAPagar) {
	super();
	this.servicios = servicios;
	this.montoAPagar = montoAPagar;
	this.montoPagado = montoPagado;
	this.fechaEntrada = fechaEntrada;
	this.fechaSalida = (fechaSalida != "null") ? fechaSalida : "No registrada";
	this.patente = patente;
	this.observacion = (observacion != "null") ? observacion : "Sin observaciones";
    }

    public ArrayList<ServicioAdicional> getServicios() {
	return servicios;
    }

    public int getMontoPagado() {
	return montoPagado;
    }

    public String getFechaEntrada() {
	return fechaEntrada;
    }

    public String getFechaSalida() {
	return fechaSalida;
    }

    public String getPatente() {
	return patente;
    }

    public String getObservacion() {
	return observacion;
    }

    public int getMontoAPagar() {
        return montoAPagar;
    }
    
    

}
